Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gnu.prolog.vm.buildins.dialogs
Class Predicate_dialog.DialogOptions

    java.lang.Object
      gnu.prolog.vm.buildins.dialogs.Predicate_dialog.DialogOptions

Enclosing class:
  Predicate_dialog

    public static class Predicate_dialog.DialogOptions

extends Object

Field Summary
`static int` | `BUTTON_ABORT`
`static int` | `BUTTON_CANCEL`
`static int` | `BUTTON_IGNORE`
`static int` | `BUTTON_NO`
`static int` | `BUTTON_OK`
`static int` | `BUTTON_RETRY`
`static int` | `BUTTON_YES`
`int` | `buttons`
`List<FileFilter>` | `fileFilters`
`String` | `message`
`int` | `messageType`
`String` | `selection`
`String` | `title`

Constructor Summary
`Predicate_dialog.DialogOptions()`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BUTTON_OK

    public static final int BUTTON_OK

See Also:
  Constant Field Values

### BUTTON_CANCEL

    public static final int BUTTON_CANCEL

See Also:
  Constant Field Values

### BUTTON_YES

    public static final int BUTTON_YES

See Also:
  Constant Field Values

### BUTTON_NO

    public static final int BUTTON_NO

See Also:
  Constant Field Values

### BUTTON_IGNORE

    public static final int BUTTON_IGNORE

See Also:
  Constant Field Values

### BUTTON_ABORT

    public static final int BUTTON_ABORT

See Also:
  Constant Field Values

### BUTTON_RETRY

    public static final int BUTTON_RETRY

See Also:
  Constant Field Values

### title

    public String title

### message

    public String message

### selection

    public String selection

### fileFilters

    public List<FileFilter> fileFilters

### messageType

    public int messageType

### buttons

    public int buttons

Constructor Detail

### Predicate_dialog.DialogOptions

    public Predicate_dialog.DialogOptions()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GNU Prolog for Java
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD